complexType "ElectricityPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | loadType, electricity, deliveryConditions, deliveryQuantity
</...>

Content Model Elements (4):

  deliveryConditions (in electricityPhysicalLeg), deliveryQuantity (in electricityPhysicalLeg), | electricity, loadType (in electricityPhysicalLeg)

All Direct / Indirect Based Elements (1):

  electricityPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  electricityPhysicalLeg

Annotation
Physically settled leg of a physically settled electricity transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) ElectricityPhysicalLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ElectricityPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <!--View Generation: SKIPPED settlementPeriods - Documentaion--> <!--View Generation: SKIPPED settlementPeriodsSchedule - References--> <xsd:element name="loadType" type="LoadTypeEnum"/> <xsd:element name="electricity" type="ElectricityProduct"/> <xsd:element name="deliveryConditions" type="ElectricityDelivery"/> <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
deliveryConditions

  Type: | ElectricityDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryConditions" type="ElectricityDelivery"/>

deliveryQuantity

  Type: | ElectricityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"/>

electricity

  Type: | ElectricityProduct, complex content

  The specification of the electricity to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="electricity" type="ElectricityProduct"/>

loadType

  Type: | LoadTypeEnum, simple content

  LoadType is a summary of the full description of the settlement periods with respect to the region. Used for describing Electricity delivery schedules (e.g. Base, Peak, Off-Peak, Custom).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Base" | - | Base
  "Peak" | - | Peak
  "OffPeak" | - | Off-Peak
  "BlockHours" | - | Block Hours
  "Custom" | - | Anything that does not fall under the predefined standard categories

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="loadType" type="LoadTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.